
QGIS Application - Bug report #19850

topology process?

2018-09-14 10:19 PM - Fernando Garay

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:3.2.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27674

Description

User Feedback

topology process?

Report Details

Crash ID: d18c4994fb87486d9a0c28aa8cda8636b1928dea

Stack Trace

QTabletEvent::buttons :

QGraphicsItem::setRotation :

QgsMapCanvasItem::setRect :

QgsRubberBand::updateRect :

QgsRubberBand::reset :

version :

QMetaObject::activate :

QDockWidget::visibilityChanged :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::hideChildren :

QWidgetPrivate::hide_helper :

QWidget::setVisible :

QWidgetPrivate::close_helper :

QWidget::~QWidget :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::operator+= :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
Related issues:

Duplicated by QGIS Application - Bug report # 19851: crash report Closed 2018-09-14

History

#1 - 2018-09-14 10:26 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please add detailed steps on how replicate the issue.

Also try again on new/clean profile.

#2 - 2018-09-14 10:37 PM - Fernando Garay

Fernando Garay wrote:

crash qgis

Crash problen when start topology procces.

#3 - 2018-09-14 10:37 PM - Fernando Garay

Crash problem when start topology process

#4 - 2018-09-14 10:39 PM - Giovanni Manghi

Fernando Garay wrote:

Crash problem when start topology process

this does not help understand what you are doing exactly. We need the detailed step by step process. You should also try with a new/clean profile and/or

check if your issue is data dependent or if it happens regardless of the data you are using.

#5 - 2018-09-15 03:44 PM - Giovanni Manghi

Please add a screnshot of the tool is causing the crash for you (and also attach a sample of your data).

#6 - 2018-09-15 05:01 PM - Jürgen Fischer

- Duplicated by Bug report #19851: crash report added

#7 - 2018-09-23 02:36 PM - Jürgen Fischer

- Subject changed from crash report to topology process?

- Description updated

#8 - 2018-09-23 02:36 PM - Jürgen Fischer

- File deleted (problema qgis.txt)
#9 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#10 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

2024-03-13 3/3


